# Deployment to a Deis Cluster

A gem that will use `deis` to deploy to your environment. 

This is an early version, so there is currently no removals and presumes that only one version of the repo will existing per environment. You can change the environment if you are planning on using this in CI style setup.

This will also automatically convert gem files that have protected github repos over to use token based url


## Installation

`gem install rdeis`

## Usage

Mirrors the `deis` binary as closely as possible, so the base commands are:

- `rdeis config`
	- `rdeis config set`
	- `rdeis config unset`
	- `rdeis config list`
	- `rdeis config import $file`
	- `rdeis config export $file`
- `rdeis domains`
	- `rdeis domains add`
	- `rdeis domains remove`	
	- `rdeis domains list`
- `rdeis deploy`
- `rdeis destroy`
- `rdeis help`
- `rdeis scale`


During the first use of the gem, it will ask some questions in order to generate a environment configuration file (github tokens and the like)

