# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "rdeis/version"

Gem::Specification.new do |spec|
  spec.name = "rdeis"
  spec.version = DEIS::VERSION
  spec.authors = ["Charles Marshall"]
  spec.email = ["cm56marshall@gmail.com"]
  spec.summary = %q{ Gem to controll deployment on Deis }
  spec.description = %q{ Gem to controll deployment on Deis }
  spec.homepage = "https://github.com/charlesmarshall/deis_deploy/tree/#{DEIS::VERSION}"
  spec.license = "MIT"
  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.0'

  spec.add_dependency "bundler", "~> 1.5"
  spec.add_dependency "thor", "~> 0.19"
  spec.add_dependency "net-ssh", "~> 2.9"

  spec.post_install_message = ""

end